# ScanbotAlertDialog class

Configuration of the the standard alert dialog.

## Constructors

ScanbotAlertDialog({StyledText? title, StyledText? subtitle, ScanbotColor? sheetColor, ScanbotColor? modalOverlayColor, ScanbotColor? dividerColor, required ButtonConfiguration okButton, required ButtonConfiguration cancelButton})
ScanbotAlertDialog.fromJson(Map<String, dynamic> json)
  factory

## Properties

cancelButton ↔ ButtonConfiguration
  Configuration of the cancel button.
  getter/setter pair
dividerColor ↔ ScanbotColor
  Color of the divider line. Default is "?sbColorOutline"
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
modalOverlayColor ↔ ScanbotColor
  Dialog overlay color. Default is "?sbColorModalOverlay"
  getter/setter pair
okButton ↔ ButtonConfiguration
  Configuration of the retry button.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sheetColor ↔ ScanbotColor
  Background color of the alert dialog. Default is "?sbColorSurface"
  getter/setter pair
subtitle ↔ StyledText
  Explanation message message.
  getter/setter pair
title ↔ StyledText
  Title displayed above the message.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited